aiVisualNeedCopyQuery(params: AiVisualNeedCopyQueryParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Check whether the Vision Box corresponding to stockId has a configuration currently syncing
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<AiVisualNeedCopyQueryResult>
scenesType, visionBoxId, needCopyEvent (see AiVisualNeedCopyQueryResult)
Referenced Types
type
AiVisualNeedCopyQueryResult| Property | Type | Description |
|---|---|---|
scenesType | SceneType | Scene type |
visionBoxId | number | Vision Box ID (optional) |
needCopyEvent | boolean | Whether to sync copy events |
enum
SceneType| Value | Actual Value | Description |
|---|---|---|
SceneType.security | 0 | Security scenario |
SceneType.album | 1 | Gallery scenario |
Valid Values
SceneType
| Value | Description | Since |
|---|---|---|
0 | Security scenario | - |
1 | Gallery scenario | - |